NetInterfaceConfig (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class NetInterfaceConfig

    java.lang.Object
      org.hyperic.sigar.NetInterfaceConfig

All Implemented Interfaces:
  java.io.Serializable

    public class NetInterfaceConfig

extends java.lang.Object
implements java.io.Serializable

NetInterfaceConfig sigar class.

See Also:
  Serialized Form

Constructor Summary
`NetInterfaceConfig()`

Method Summary
`void` | `gather(Sigar sigar, java.lang.String name)`
`java.lang.String` | `getAddress()` Get the address.
`java.lang.String` | `getBroadcast()` Get the broadcast.
`java.lang.String` | `getDescription()` Get the description.
`java.lang.String` | `getDestination()` Get the destination.
`long` | `getFlags()` Get the flags.
`java.lang.String` | `getHwaddr()` Get the hwaddr.
`long` | `getMetric()` Get the metric.
`long` | `getMtu()` Get the mtu.
`java.lang.String` | `getName()` Get the name.
`java.lang.String` | `getNetmask()` Get the netmask.
`java.lang.String` | `getType()` Get the type.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetInterfaceConfig

    public NetInterfaceConfig()

Method Detail

### gather

    public void gather(Sigar sigar,
                       java.lang.String name)
                throws SigarException

  Throws:
    `SigarException`

### getName

    public java.lang.String getName()

  Get the name.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `ifconfig`
  - Solaris: `ifconfig -a`
  - Win32: ``

  Returns:
    name

### getHwaddr

    public java.lang.String getHwaddr()

  Get the hwaddr.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `ifconfig`
  - Solaris: `ifconfig -a`
  - Win32: ``

  Returns:
    hwaddr

### getType

    public java.lang.String getType()

  Get the type.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `ifconfig`
  - Solaris: `ifconfig -a`
  - Win32: ``

  Returns:
    type

### getDescription

    public java.lang.String getDescription()

  Get the description.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `ifconfig`
  - Solaris: `ifconfig -a`
  - Win32: ``

  Returns:
    description

### getAddress

    public java.lang.String getAddress()

  Get the address.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `ifconfig`
  - Solaris: `ifconfig -a`
  - Win32: ``

  Returns:
    address

### getDestination

    public java.lang.String getDestination()

  Get the destination.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `ifconfig`
  - Solaris: `ifconfig -a`
  - Win32: ``

  Returns:
    destination

### getBroadcast

    public java.lang.String getBroadcast()

  Get the broadcast.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `ifconfig`
  - Solaris: `ifconfig -a`
  - Win32: ``

  Returns:
    broadcast

### getNetmask

    public java.lang.String getNetmask()

  Get the netmask.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `ifconfig`
  - Solaris: `ifconfig -a`
  - Win32: ``

  Returns:
    netmask

### getFlags

    public long getFlags()

  Get the flags.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `ifconfig`
  - Solaris: `ifconfig -a`
  - Win32: ``

  Returns:
    flags

### getMtu

    public long getMtu()

  Get the mtu.

  Supported Platforms: Darwin, FreeBSD, Linux.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `ifconfig`
  - Solaris: `ifconfig -a`
  - Win32: ``

  Returns:
    mtu

### getMetric

    public long getMetric()

  Get the metric.

  Supported Platforms: Darwin, FreeBSD, Linux.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `ifconfig`
  - Solaris: `ifconfig -a`
  - Win32: ``

  Returns:
    metric

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.